summaryrefslogtreecommitdiffstats
path: root/needs-checking/patchdesc
diff options
context:
space:
mode:
authorMartin Quinson <mquinson@debian.org>2003-01-21 09:49:29 +0000
committerMartin Quinson <mquinson@debian.org>2003-01-21 09:49:29 +0000
commit02dc4a5f8c1979e9a23f7b6851f693d29b640c4d (patch)
tree2f397f5df89f4529b89fd0e7a021238d0f290007 /needs-checking/patchdesc
parent4d11e99bfc25e0261111d202a3a2afdf97daea5c (diff)
downloadquilt-02dc4a5f8c1979e9a23f7b6851f693d29b640c4d.tar.gz
Version 0.11, from Andreas Gruenbacher
Diffstat (limited to 'needs-checking/patchdesc')
-rwxr-xr-xneeds-checking/patchdesc24
1 files changed, 24 insertions, 0 deletions
diff --git a/needs-checking/patchdesc b/needs-checking/patchdesc
new file mode 100755
index 0000000..18d3e94
--- /dev/null
+++ b/needs-checking/patchdesc
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+. patchfns 2>/dev/null ||
+. /usr/lib/patch-scripts/patchfns 2>/dev/null ||
+. $PATCHSCRIPTS_LIBDIR/patchfns 2>/dev/null ||
+{
+ echo "Impossible to find my library 'patchfns'."
+ echo "Check your install, or go to the right directory"
+ exit 1
+}
+
+desc1()
+{
+ PATCH=$(stripit $1)
+ TXT=$(txt_file_name $PATCH)
+ echo $PATCH.patch
+ desc < $TXT
+ echo
+}
+
+for i in $*
+do
+ desc1 $i
+done